﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.utils.setInterval;
	public class Genever extends Sprite
	{
		private var points:Array = new Array();
		private var numPoints:Number = 100;
		private var gravity:Number = 0.1;
		public function Genever()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			addPoint();
			update();
			draw();
		}
		private function addPoint():void
		{
			var point:Object;
			if(points.length<numPoints){
			point = {};
			initPoint(point);
			points.push(point);
			}
		}
		private function initPoint(p:Object):void
		{
			p.x = mouseX;
			p.y = mouseY;
			p.vx = Math.random()*5-2;
			p.vy = Math.random()*-6-5;
			p.radius = Math.random()*50;
		}
		private function update():void
		{
			for(var i:Number = 0;i< points.length;i++){
				points[i].vy += gravity;
				points[i].x += points[i].vx;
				points[i].y+= points[i].vy;
				if(points[i].x>stage.stageWidth  || points[i].x < 0 || points[i].y >stage.stageHeight || points[i].y < 0){
					initPoint(points[i]);
				}
			}
		}
		private function draw():void
		{
			this.graphics.clear();
			for(var i:Number = 0;i<points.length;i++){
				this.graphics.beginFill(0x33ffff,.1);
				this.graphics.drawCircle(points[i].x,points[i].y,points[i].radius);
				this.graphics.endFill();
			}
		}
	}
}